=== debian/changelog ===
kooka (0.0+p24.04+vunstable+git20250926.0612-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Sep 2025 06:13:00 +0000

kooka (0.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Mar 2019 15:09:07 +0000
