=== debian/control ===
Source: kooka
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcrash-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-ktextwidgets-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kxmlgui-dev,
               kf6-sonnet-dev,
               libpaper-dev,
               libsane-common,
               libsane-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev
Standards-Version: 4.6.2
Homepage: http://www.kde.org/
Vcs-Git: https://invent.kde.org/neon/neon-packaging/kooka.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/kooka
Maintainer: Neon CI <neon@kde.org>

Package: kooka
Architecture: any
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Scan & OCR Program
 Kooka is an intuitive, easy to use open source GNU/Linux scan
 program.
