## kooka 0.0+p24.04+vunstable+git20251009.0612

=== debian/changelog ===
kooka (0.0+p24.04+vunstable+git20251009.0612-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 09 Oct 2025 06:12:11 +0000
