## kooka 0.0+p24.04+vunstable+git20251111.0541

=== debian/changelog ===
kooka (0.0+p24.04+vunstable+git20251111.0541-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 11 Nov 2025 05:41:43 +0000
