## kooka 0.0+p24.04+vunstable+git20251123.1903

=== debian/changelog ===
kooka (0.0+p24.04+vunstable+git20251123.1903-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 19:04:03 +0000
