## kooka 0.0+p24.04+vunstable+git20260201.0758

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,7 +17,7 @@
 set(VERSION "6.90.0")
 message(STATUS "Configuring for Kooka/libkookascan version ${VERSION}")
 
-set(QT_MIN_VERSION "6.7.0")
+set(QT_MIN_VERSION "6.9.0")
 set(KF_MIN_VERSION "6.1.0")
 
 # ECM setup (Extra Cmake Modules)
@@ -40,6 +40,7 @@
 
 # Options
 option(INSTALL_BINARIES "Install the binaries and libraries, turn off for development in place" ON)
+option(BUILD_TOOLS "Build the testing tools and null destination plugin" OFF)
 
 # Required Qt components to build this package
 find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Core Widgets)
@@ -126,7 +127,9 @@
 add_subdirectory(plugins)
 add_subdirectory(doc)
 
-add_subdirectory(tools EXCLUDE_FROM_ALL)
+if (BUILD_TOOLS)
+  add_subdirectory(tools)
+endif (BUILD_TOOLS)
 
 ############### VCS revision number in vcsversion.h ###############
