=== app/CMakeLists.txt ===
--- 
+++ 
@@ -99,8 +99,6 @@
   galleryhistory.cpp
   kookagallery.cpp
   thumbview.cpp
-  kookaprint.cpp
-  imgprintdialog.cpp
   scanpresetsdialog.cpp
   newscanpresetdialog.cpp
   ocrresedit.cpp
