=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
                kf6-ktextwidgets-dev,
                kf6-kwidgetsaddons-dev,
                kf6-kxmlgui-dev,
+               kf6-purpose-dev,
                kf6-sonnet-dev,
                libpaper-dev,
                libsane-common,
